name: staff_profile
description: Staff Profile feature package.
version: 0.0.1
publish_to: none
resolution: workspace

environment:
  sdk: '>=3.10.0 <4.0.0'
  flutter: ">=3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_bloc: ^8.1.0
  bloc: ^8.1.0
  flutter_modular: ^6.3.0
  equatable: ^2.0.5
  lucide_icons: ^0.257.0
  
  # Architecture Packages
  design_system:
    path: ../../../design_system
  core_localization:
    path: ../../../core_localization
  krow_core:
    path: ../../../core
  krow_domain:
    path: ../../../domain
  krow_data_connect:
    path: ../../../data_connect
  
  # Feature Packages
  staff_profile_info:
    path: ../profile_sections/onboarding/profile_info
  staff_emergency_contact:
    path: ../profile_sections/onboarding/emergency_contact
  staff_profile_experience:
    path: ../profile_sections/onboarding/experience
  firebase_auth: ^6.1.4

dev_dependencies:
  flutter_test:
    sdk: flutter
  bloc_test: ^9.1.0
  mocktail: ^1.0.0
  flutter_lints: ^6.0.0

flutter:
  uses-material-design: true
